Bug 228207 - no unit tests for diff between branches
no unit tests for diff between branches
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.4
PC Linux
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-03 13:26 UTC by Ondrej Vrabec
Modified: 2013-06-05 09:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2013-04-03 13:26:01 UTC
Subversion branch/tag diffing uses a very complex logic of building differences. There should be at least some unit tests testing the diffs
Comment 1 Ondrej Vrabec 2013-06-03 12:03:03 UTC
fix: http://hg.netbeans.org/core-main/rev/61964a60a777
Comment 2 Quality Engineering 2013-06-05 09:32:37 UTC
Integrated into 'main-golden', will be available in build *201306050626* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/61964a60a777
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #228207 - no unit tests for diff between branches


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo